#
# spec file for package gpg2 (Version 1.9.18)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl cyrus-sasl-devel db db42 diffutils e2fsprogs expect file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd krb5 less libacl libassuan libattr libcom_err libgcc libgcrypt libgcrypt-devel libgpg-error libgpg-error-devel libksba libksba-devel libnscd libstdc++ libtool libusb libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2 openldap2-client openldap2-devel openslp openssl openssl-devel pam pam-modules patch pcsc-lite perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcl tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           gpg2
BuildRequires:  expect krb5 libassuan libgcrypt-devel libksba-devel openldap2 openldap2-devel pcsc-lite
URL:            http://www.gnupg.org/aegypten2/
License:        GPL
Group:          Productivity/Networking/Security
PreReq:         %install_info_prereq
Autoreqprov:    on
Requires:       pinentry, dirmngr, gpg
Provides:       newpg
Obsoletes:      newpg
Summary:        GnuPG 2
Version:        1.9.18
Release:        17.2
%define pthversion 2.0.4
Source:         gnupg-%{version}.tar.bz2
Source1:        pth-%pthversion.tar.bz2
%define nld_build 0
Patch2:         nld-build.diff
Patch3:         gnupg-%{version}-cfb.diff
Patch4:         gnupg-%{version}-warnings-fix.diff
Patch5:         gnupg-%{version}-ccid-driver-fix.diff
Patch6:         gnupg-%{version}-tmpdir.diff
Patch7:         gnupg-%{version}-signature.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
GnuPG 2 is the successor of "GnuPG" or GPG. It provides: GPGSM,
gpg-agent, and a keybox library.



Authors:
--------
    Werner Koch       <wk@gnupg.org>
    Neal H. Walfield  <neal@g10code.de>

%debug_package
%prep
%setup -q -n gnupg-%{version} -b 1
%if %nld_build
%patch2
%endif
%patch3
%patch4
%patch5
%patch6
%patch7

%build
export CFLAGS="$RPM_OPT_FLAGS"
cd ../pth-%pthversion
./configure --disable-shared
make
make test
cd -
# opensc should be added to neededforbuild, but the support
# in gpg2 is broken atm.
export CFLAGS="$RPM_OPT_FLAGS -I$PWD/../pth-%pthversion"
export LDFLAGS="-L$PWD/../pth-%pthversion/.libs"
export PATH="$PWD/../pth-%pthversion/:$PATH"
aclocal -I gl/m4
automake -a
autoconf
./configure \
                --prefix=%{_prefix} \
                --sysconfdir=/etc \
                --libdir=%{_libdir} \
                --infodir=%{_infodir} \
		--with-agent-pgm=%{_prefix}/bin/gpg-agent \
		--with-pinentry-pgm=%{_prefix}/bin/pinentry-qt \
		--with-dirmngr-pgm=%{_prefix}/bin/dirmngr \
                --enable-ldap --enable-external-hkp --enable-shared \
                --with-gnu-ld --enable-static-rnd=linux \
                --mandir=%{_mandir} \
                --libexecdir=%{_libdir} \
                --program-prefix="" %{_target_cpu}-suse-linux \
		--with-scdaemon-pgm=%{_prefix}/bin/scdaemon \
		--enable-gpg
make

%install
make DESTDIR=$RPM_BUILD_ROOT install
rm $RPM_BUILD_ROOT/usr/share/info/dir

%post
%install_info --info-dir=%{_infodir} %{_infodir}/gnupg.info.gz

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/gnupg.info.gz

%files
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS README THANKS TODO VERSION
%doc %_infodir/gnupg*
/usr/bin/*
%{_libdir}/gnupg
%{_libdir}/gpg-protect-tool
%{_libdir}/gpg-preset-passphrase
/usr/sbin/addgnupghome
/usr/share/locale/de/LC_MESSAGES/gnupg2.mo
/usr/share/gnupg

%changelog -n gpg2
* Thu Feb 23 2006 - pnemec@suse.cz
- fixed signature security problem CVE-2006-0455 (bugzilla#150742)
* Thu Feb 02 2006 - pnemec@suse.cz
- fixed install info in spec file
* Thu Jan 26 2006 - sbrabec@suse.cz
- Added missing %%install_info.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Aug 05 2005 - postadal@suse.cz
- updated to version to 1.9.18
- removed obsoleted gcc patch
- added patch tmpdir.diff for using $TMPDIR by gpg-agent [#bug95732]
* Tue Jul 12 2005 - postadal@suse.cz
- updated to version to 1.9.17
- updated pth to version 2.0.4
- removed obsoleted patch agent-cache-fix.diff
- fixed ccid-driver.c
- fixed gcc4
- explicitly enabled gpg building in configure
* Thu Mar 24 2005 - postadal@suse.cz
- fixed caching passphrase in gpg-agent [#71975]
* Tue Mar 22 2005 - postadal@suse.cz
- fixed on 64bit archs [#72440]
* Wed Feb 23 2005 - postadal@suse.cz
- security fix for cfb-cipher issue [#65862]
* Wed Jan 12 2005 - postadal@suse.cz
- update to version 1.9.14
- removed obsoleted patch automake-fixes.diff
* Tue Sep 28 2004 - adrian@suse.de
- link against libpth staticaly to make S/MIME support in kmail
  usable. Hopefully we can convert this to a native thread implementation
  later. (#46260)
* Sat Jul 31 2004 - adrian@suse.de
- update to version 1.9.10
* Tue Jul 20 2004 - adrian@suse.de
- remove openct and opensc packages from nfb
  (we will need thread support, when enabling card reader support,
  but it isn't anyway implemented yet in gpg2)
* Mon Jul 12 2004 - adrian@suse.de
- use GnuPG 2 sources version 1.9.9
- opensc support misses some functions atm, support disabled for now
- threading is disabled, since we do not have a pth package for now
- prepare for nld
* Thu Feb 26 2004 - postadal@suse.cz
- adapted some functions to the libgcrypt version 1.1.91 [#34987]
- added libgpg-error to needforbuild flag
* Wed Feb 18 2004 - kukuk@suse.de
- Don't build against libpth.
* Tue Feb 10 2004 - postadal@suse.cz
- fixed code that broke strict aliasing
* Fri Dec 05 2003 - garloff@suse.de
- disable core dumpe in child after forking. [#33499]
* Mon Aug 11 2003 - adrian@suse.de
- cleanup #neededforbuild and requires
* Mon Aug 04 2003 - ro@suse.de
- added openct to neededforbuild
* Fri Jul 18 2003 - mc@suse.de
- build against opensc
* Thu Jun 19 2003 - schwab@suse.de
- Add %%install_info.
* Mon Mar 17 2003 - adrian@suse.de
- add signal handler to check if the parent is still alive and
  exit if not
- use pinentry-qt by default (/usr/bin/pinentry do not exist)
* Tue Feb 11 2003 - mc@suse.de
- initial release
